# Type Alias ScalePosition

type ScalePosition = {
basePosition: THREE.Vector3;
handlePosition: THREE.Vector3;
id?: string;
}

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:118

##### Index

### Properties

basePosition
handlePosition
id?

## Properties

### basePosition

basePosition: THREE.Vector3

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:121

### handlePosition

handlePosition: THREE.Vector3

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:120

### `Optional` id

id?: string

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:119